<?php



for ($x = 0; $x < 6; $x++) {
	for ($y = 0; $y < 6; $y++) {
		list($sprites, $img) = genAlphaImageCopy("sprites.png", 32, 32);
		imagecopy($img, $sprites, 0, 0, $x*32, $y*32, 32, 32);
		imagepng($img, "item".(6-$y)."x".(6-$x).".png");
	}
}



// Creates a blank image to which $srcfile can be copied to (retaining alpha channel)
function genAlphaImageCopy($srcfile, $newwidth = null, $newheight = null) {
	list ($width, $height) = getimagesize($srcfile);
	
	if (!$newwidth) $newwidth = $width;
	if (!$newheight) $newheight = $height;
	
	$image = imagecreatefrompng($srcfile);
	$newimage = imagecreatetruecolor($newwidth, $newheight);
	
	$trnprt_indx = imagecolortransparent($image);
	if ($trnprt_indx >= 0) {
		$trnprt_color    = imagecolorsforindex($image, $trnprt_indx);
		$trnprt_indx    = imagecolorallocate($newimage, $trnprt_color['red'], $trnprt_color['green'], $trnprt_color['blue']);
		imagefill($newimage, 0, 0, $trnprt_indx);
		imagecolortransparent($newimage, $trnprt_indx);
	} else {
		imagealphablending($newimage, false);
		$color = imagecolorallocatealpha($newimage, 0, 0, 0, 127);
		imagefill($newimage, 0, 0, $color);
		imagesavealpha($newimage, true);
	}
	
	return array($image, $newimage);
}